{Cast zdrojoveho kodu pro program Blocek}

{Zde je definice ruznych drobnych bitmapovuch objektu, ktere bude program
 pouzivat. Takto se vyhneme nutnosti jejich nacitani z externich souboru.}

unit bloikoD;
interface

const

ZALOZKA_1_DATA:array[1..64] of dword=
($00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$FA000000,$FA00FA00,
$FA00FA00,$FA00,$FA00,$00,$00,$FA000000,$FA00,$00,$FA00,$FA000000,$FA00,
$FA000000,$FA00,$FA000000,$FA00,$FA00,$FA00,$FA000000,$FA00,$00,$FA00,
$FA000000,$FA00,$00,$FA00,$FA000000,$FA00,$00,$FA00,$FA000000,$FA00,$00,$00,
$FA000000,$FA000000,$FA00FA00,$FA00FA00,$FA00,$00,$00,$00,$00,$00,$00,$00,$00,
$00,$00,$00,$00);

ZALOZKA_1_WIDTH=8;
ZALOZKA_1_HEIGHT=16;


ZALOZKA_2_DATA:array[1..64] of dword=
($00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$FA000000,$FA00FA00,
$FA00FA00,$FA00,$FA00,$00,$00,$FA000000,$FA00,$FA000000,$FA00,$FA000000,$FA00,
$FA00,$FA000000,$FA000000,$FA00,$00,$FA000000,$FA000000,$FA00,$FA000000,$FA00,
$FA000000,$FA00,$FA00,$00,$FA000000,$FA00,$FA00FA00,$FA00FA00,$FA000000,$FA00,
$00,$00,$FA000000,$FA000000,$FA00FA00,$FA00FA00,$FA00,$00,$00,$00,$00,$00,$00,
$00,$00,$00,$00,$00,$00);

ZALOZKA_2_WIDTH=8;
ZALOZKA_2_HEIGHT=16;


ZALOZKA_3_DATA:array[1..64] of dword=
($00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$FA000000,$FA00FA00,
$FA00FA00,$FA00,$FA00,$00,$00,$FA000000,$FA00,$FA00FA00,$FA00,$FA000000,$FA00,
$00,$FA000000,$FA000000,$FA00,$FA00FA00,$FA00,$FA000000,$FA00,$00,$FA000000,
$FA000000,$FA00,$00,$FA000000,$FA000000,$FA00,$FA00FA00,$FA00,$FA000000,$FA00,
$00,$00,$FA000000,$FA000000,$FA00FA00,$FA00FA00,$FA00,$00,$00,$00,$00,$00,$00,
$00,$00,$00,$00,$00,$00);

ZALOZKA_3_WIDTH=8;
ZALOZKA_3_HEIGHT=16;


ZALOZKA_4_DATA:array[1..64] of dword=
($00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$FA000000,$FA00FA00,
$FA00FA00,$FA00,$FA00,$00,$00,$FA000000,$FA00,$00,$FA00,$FA000000,$FA00,
$FA000000,$FA00,$FA000000,$FA00,$FA00,$FA00,$FA000000,$FA00FA00,$FA00FA00,
$FA00FA00,$FA000000,$FA00,$00,$FA00,$FA000000,$FA00,$00,$FA00,$FA000000,$FA00,
$00,$00,$FA000000,$FA000000,$FA00FA00,$FA00FA00,$FA00,$00,$00,$00,$00,$00,$00,
$00,$00,$00,$00,$00,$00);

ZALOZKA_4_WIDTH=8;
ZALOZKA_4_HEIGHT=16;


ZALOZKA_5_DATA:array[1..64] of dword=
($00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$FA000000,$FA00FA00,
$FA00FA00,$FA00,$FA00,$00,$00,$FA000000,$FA00,$FA00FA00,$FA00FA00,$FA000000,
$FA00,$FA00,$00,$FA000000,$FA00,$FA00FA00,$FA00,$FA000000,$FA00,$00,$FA000000,
$FA000000,$FA00,$00,$FA000000,$FA000000,$FA00,$FA00FA00,$FA00,$FA000000,$FA00,
$00,$00,$FA000000,$FA000000,$FA00FA00,$FA00FA00,$FA00,$00,$00,$00,$00,$00,$00,
$00,$00,$00,$00,$00,$00);

ZALOZKA_5_WIDTH=8;
ZALOZKA_5_HEIGHT=16;


ZALOZKA_1P_DATA:array[1..96] of dword=
($00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,
$FA000000,$FA00FA00,$FA00FA00,$FA00FA00,$FA00FA00,$FA00,$FA00,$00,$00,$00,$00,
$FA000000,$FA00,$00,$FA00,$00,$00,$FA000000,$FA00,$FA000000,$FA00,$00,$00,
$FA000000,$FA00,$FA00,$FA00,$FA000000,$00,$FA000000,$FA00,$00,$FA00,$FA00FA00,
$FA00,$FA000000,$FA00,$00,$FA00,$FA000000,$00,$FA000000,$FA00,$00,$FA00,$00,
$00,$FA000000,$FA00,$00,$00,$00,$00,$FA000000,$FA000000,$FA00FA00,$FA00FA00,
$FA00FA00,$FA00FA00,$FA00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,
$00,$00,$00,$00,$00);

ZALOZKA_1P_WIDTH=12;
ZALOZKA_1P_HEIGHT=16;


ZALOZKA_2P_DATA:array[1..96] of dword=
($00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,
$FA000000,$FA00FA00,$FA00FA00,$FA00FA00,$FA00FA00,$FA00,$FA00,$00,$00,$00,$00,
$FA000000,$FA00,$FA000000,$FA00,$00,$00,$FA000000,$FA00,$FA00,$FA000000,$00,
$00,$FA000000,$FA00,$00,$FA000000,$00,$FA00,$FA000000,$FA00,$FA000000,$FA00,
$FA000000,$FA00FA00,$FA000000,$FA00,$FA00,$00,$00,$FA00,$FA000000,$FA00,
$FA00FA00,$FA00FA00,$00,$00,$FA000000,$FA00,$00,$00,$00,$00,$FA000000,
$FA000000,$FA00FA00,$FA00FA00,$FA00FA00,$FA00FA00,$FA00,$00,$00,$00,$00,$00,
$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00);

ZALOZKA_2P_WIDTH=12;
ZALOZKA_2P_HEIGHT=16;


ZALOZKA_3P_DATA:array[1..96] of dword=
($00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,
$FA000000,$FA00FA00,$FA00FA00,$FA00FA00,$FA00FA00,$FA00,$FA00,$00,$00,$00,$00,
$FA000000,$FA00,$FA00FA00,$FA00,$00,$00,$FA000000,$FA00,$00,$FA000000,$00,$00,
$FA000000,$FA00,$FA00FA00,$FA00,$00,$FA00,$FA000000,$FA00,$00,$FA000000,
$FA000000,$FA00FA00,$FA000000,$FA00,$00,$FA000000,$00,$FA00,$FA000000,$FA00,
$FA00FA00,$FA00,$00,$00,$FA000000,$FA00,$00,$00,$00,$00,$FA000000,$FA000000,
$FA00FA00,$FA00FA00,$FA00FA00,$FA00FA00,$FA00,$00,$00,$00,$00,$00,$00,$00,$00,
$00,$00,$00,$00,$00,$00,$00,$00,$00,$00);

ZALOZKA_3P_WIDTH=12;
ZALOZKA_3P_HEIGHT=16;


ZALOZKA_4P_DATA:array[1..96] of dword=
($00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,
$FA000000,$FA00FA00,$FA00FA00,$FA00FA00,$FA00FA00,$FA00,$FA00,$00,$00,$00,$00,
$FA000000,$FA00,$00,$FA00,$00,$00,$FA000000,$FA00,$FA000000,$FA00,$00,$00,
$FA000000,$FA00,$FA00,$FA00,$00,$FA00,$FA000000,$FA00FA00,$FA00FA00,$FA00FA00,
$FA000000,$FA00FA00,$FA000000,$FA00,$00,$FA00,$00,$FA00,$FA000000,$FA00,$00,
$FA00,$00,$00,$FA000000,$FA00,$00,$00,$00,$00,$FA000000,$FA000000,$FA00FA00,
$FA00FA00,$FA00FA00,$FA00FA00,$FA00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,
$00,$00,$00,$00,$00,$00,$00,$00);

ZALOZKA_4P_WIDTH=12;
ZALOZKA_4P_HEIGHT=16;


IKONKA_BRYLE:array[1..345] of word=
($F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,
$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,
$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,
$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,
$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,
$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$00,
$00,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$00,$00,$F81F,
$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$00,$00,$F81F,$F81F,$00,$F81F,$F81F,$F81F,
$F81F,$F81F,$F81F,$F81F,$00,$00,$F81F,$F81F,$00,$F81F,$F81F,$F81F,$F81F,$F81F,
$00,$F81F,$F81F,$F81F,$F81F,$00,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$00,$F81F,
$F81F,$F81F,$F81F,$00,$F81F,$F81F,$F81F,$F81F,$00,$F81F,$F81F,$F81F,$F81F,
$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$00,$F81F,$F81F,$F81F,$F81F,
$F81F,$F81F,$F81F,$F81F,$00,$F81F,$F81F,$F81F,$F81F,$00,$00,$00,$F81F,$F81F,
$F81F,$F81F,$F81F,$00,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,
$00,$00,$00,$00,$00,$00,$F81F,$00,$00,$00,$00,$00,$00,$F81F,$F81F,$F81F,$F81F,
$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$00,$F81F,$F81F,$F81F,$F81F,$00,$F81F,$00,
$F81F,$F81F,$F81F,$00,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,
$F81F,$F81F,$F81F,$00,$F81F,$F81F,$00,$F81F,$F81F,$00,$00,$F81F,$F81F,$00,
$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,
$00,$00,$00,$F81F,$F81F,$F81F,$00,$00,$00,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,
$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,
$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,
$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,
$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,
$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,
$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F,$F81F);

IKONKA_BRYLE_WIDTH=23;
IKONKA_BRYLE_HEIGHT=15;



implementation

end.
